<?
include 'config.php';
include 'func.php';
head();
aut();
ban();
////////////////////////////////////////
mysql_query("UPDATE `profile` SET `online` = 'wow' WHERE `id` = '".$id_session."'");

echo head . "<b>Вершина мира</b>" . div;   

switch ($_GET['mod']) {
    
    default:
    echo link1 . ' <a href="wow.php?mod=add">Подняться на вершину</a>' . div;
    
    $res = mysql_query("SELECT * FROM `wow` order by id desc");
while($a = mysql_fetch_assoc($res)) {
    $us = mysql_fetch_assoc(mysql_query("SELECT * FROM `profile` WHERE `id` = '".$a['user']."'"));
    if ($us['sex'] == 1) {
        if (empty($us['upload_ava'])) {
            $ava = 'user_male.png';
            $sex = 'Парень';
        } else {
            $sex = 'Парень';
            $ava = 'pict.php?file=upload_ava/'.$us['upload_ava'].'';
        }
    } else {
        if (empty($us['upload_ava'])) {
            $ava = 'user_female.png';
            $sex = 'Девушка';
        } else {
            $sex = 'Девушка';
            $ava = 'pict.php?file=upload_ava/'.$us['upload_ava'].'';
        }        
    }
    
    echo link2 . "<img src='".$ava."' align='left' width='47' height='49' alt=''/>";
    echo user($us['id']).'<br/>'; 
    echo $sex.'<br/>'; 
    echo 'Зовут: '.$us['name'].'</div>'; 
}

    break;
    
    case 'add':
    if (empty($_GET['a'])) {
        echo link2 . '
        Вершина мира - это вывод вашей фотографии на главной сайта, с ссылкой на вашу анкету. Это отличный способ заявить о себе.<br/ >

        При покупке данной услуги, ваше фото будет находиться на главной сайта в течении 24-х часов.<br/ >
        
        На главной выводятся только 3 участника (последние, кто воспользовались данной услугой). Остальной список можно будет просмотреть перейдя по ссылке <b>Все анкеты</b>.<br/ >
        ';
        echo div . link1 . '<b>Подняться на вершину мира?</b><br/>';
        echo '<a href="wow.php?mod=add&a=yes">Да</a> | <a href="wow.php">Нет</a></div>';
    } else {
        if ($many_session < $wow_rur AND $vip_session < time()) {
            echo link1 . 'У вас не достаточно средств, для пользования данной услугой<br/><a href="pay.php">Пополнить счет</a><br/>';
            navig();
            foot();
            exit();
        }
            mysql_query ("Select * from wow WHERE user = '".$id_session."'");
            if(mysql_affected_rows()!=0) {
            echo link1 . 'Разрешено подниматься раз в сутки' . div;
            navig();
            foot();
            exit();            
            }
            
            if($user['vip'] < time()) {
            $cena = $many_session - $wow_rur;
            mysql_query("UPDATE `profile` SET `many` = '".$cena."' WHERE `id` = '".$id_session."'");
            $result = mysql_query("INSERT INTO `wow` SET `user` = '".$id_session."', `time` = '".( time() + $wow_time )."', `date` = '".time()."'");
            } else {
            $result = mysql_query("INSERT INTO `wow` SET `user` = '".$id_session."', `time` = '".( time() + $wow_time )."', `date` = '".time()."'");    
            }
            if ($result != NULL) {
                $msg1 = '<b>'.user($id_session).'</b> поднялся(поднялась) на вершину мира';
                mysql_query("INSERT INTO `jurnal` SET  `msg` = '".$msg1."', `user` = '".$id_session."', `date` = '".time()."'");
                echo link1 . 'Вы успешно поднялись на вершину мира' . div;
            } else {
                echo link1 . 'Возникла ошибка' .div;
            }
        }
        
    
    
    
    
    if (empty($_GET['a'])) {
    echo link2 . 'Цена услуги: <b>'.$wow_rur.'</b> монет<br/>Длительность: <b>24</b> ч.</div>';
    }
    break;
}
/////////////////////////////////////////

navig();
foot();
?>